{-# OPTIONS_GHC -fno-warn-orphans #-}

module Bio.Macro.Internal.Instances
  (

  ) where

import           Bio.Macro.Internal.Types (Chain (..), MacroMolecule (..))

instance Functor (MacroMolecule a) where
  fmap f mm = mm { mmChains = (f <$>) <$> mmChains mm }

instance Functor (Chain t) where
  fmap f ch = ch { chainResidues = f <$> chainResidues ch }
