module Bio.Sequence.Alignment.Scoring
  ( similarity
  , hamming
  , relativeHamming
  , alignmentScore
  , alignmentSemiglobalScore
  ) where

import           Bio.Sequence.Alignment.Scoring.Similarity (alignmentScore, alignmentSemiglobalScore,
                                                            hamming,
                                                            relativeHamming,
                                                            similarity)
